Name:           python-commandpack
Version:        0.3.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A cross-platform library for creation, storage, management of commands and command packages. Execution of commands, parsing of files with command packages.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/smartlegionlab/commandpack/blob/master/README.md
Source:         %{pypi_source commandpack}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'commandpack' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-commandpack
Summary:        %{summary}

%description -n python3-commandpack %_description


%prep
%autosetup -p1 -n commandpack-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-commandpack -f %{pyproject_files}


%changelog
%autochangelog